# Update Member

### PUT /api/pub/members/updateMemberCard

**Description**: Updates specified linksData card

**Request Body**:

```json
{
  "linksDataId": "12345", // REQUIRED
  "template": "default-template",
  "name": "John Doe",
  "private": 0,
  "direct": 1,
  "photo": "<http://example.com/photo.jpg>",
  "logo": "<http://example.com/logo.jpg>",
  "description": "A brief description.",
  "exchange": "example exchange",
  "exchangeText": "Text for exchange",
  "leadCaptureMode": 1,
  "theme": "dark",
  "banner": "<http://example.com/banner.jpg>",
  "colorLink": "#FFFFFF",
  "jobTitle": "Software Engineer",
  "location": "New York",
  "company": "Tech Corp",
  "username": "johndoe",
  "connectTitle": "Connect with me",
  "connectBody": "Here's how you can connect.",
  "connectButtonText": "Connect",
  "connectFields": "field1,field2",
  "hiddenFields": "fieldA,fieldB",
  "howToPopup": "Instructions for popup",
  "branding": "Branding info",
  "leadTimer": "30 days",
  "nickname": "Johnny",
  "qrcodeImage": "<http://example.com/qrcode.jpg>",
  "qrcodeColor": "#FF0000",
  "subject": "Invitation",
  "ccValue": "cc@example.com",
  "bccValue": "bcc@example.com",
  "message": "Invitation message",
  "lockedFields": {
    "field1": "value1",
    "field2": "value2"
  },
  "profileType": 1,
  "pronouns": "he/him",
  "followUpAttachment": "<http://example.com/attachment.pdf>",
  "font": "Arial",
  "themeLinks": "<http://example.com/themeLinks>",
  "matchThemeLinks": true
}

Note: Only the linksDataId is required
```

**Example response**:

```json
{
    "message": "Success",
    "data": {
        "response": {
            "message": "Success",
            "data": {
                "id": 1593596,
                "mid": 4296038603,
                "pid": 2,
                "template": "",
                "data": "[{\\"id\\":9,\\"title\\":\\"Email\\",\\"value\\":\\"popovmaksim7415+1111@gmail.com\\",\\"hash\\":\\"qvscfqmaia\\",\\"clicks\\":0,\\"active\\":true,\\"vcard\\":1,\\"icon\\":\\"\\",\\"updateExisting\\":true,\\"help_title\\":\\"\\"},{\\"id\\":31,\\"title\\":\\"Call\\",\\"value\\":\\"\\",\\"hash\\":\\"pghnmbommu\\",\\"clicks\\":0,\\"active\\":true,\\"vcard\\":1,\\"icon\\":\\"1234567890\\",\\"updateExisting\\":true,\\"help_title\\":\\"\\"}]",
                "name": "Test Name",
                "private": 0,
                "direct": 0,
                "photo": "",
                "logo": null,
                "description": "my bio update",
                "exchange": null,
                "exchangeText": null,
                "leadCaptureMode": null,
                "theme": "fff",
                "banner": null,
                "colorLink": "1",
                "jobTitle": "job update",
                "location": "La",
                "company": "Test Company",
                "username": null,
                "connectTitle": null,
                "connectBody": null,
                "connectFields": null,
                "connectButtonText": null,
                "hiddenFields": null,
                "howToPopup": null,
                "branding": null,
                "leadTimer": "",
                "nickname": null,
                "qrcodeColor": null,
                "qrcodeImage": null,
                "templateId": null,
                "subject": null,
                "ccValue": null,
                "bccValue": null,
                "message": null,
                "lockedFields": {},
                "profileType": 1,
                "pronouns": null,
                "followUpAttachment": null,
                "font": null,
                "department": null,
                "themeLinks": null,
                "matchThemeLinks": null,
                "autoIntroDelay": 0
            }
        }
    }
}
```

### POST /api/pub/members/updateMemberEmail

**Description**: Change the email address of a member

**Request Body**:

```
{
    "mid": 23847892,
    "email": "newemail@example.com"
}
```

### POST /api/pub/members/updateMemberUsername

**Description**: Change the email address of a member

**Request Body**:

```
{
    "mid": 23847892,
    "username": "newusername"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.popl.co/introduction/members/update-member.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
